### Method

# Gtk CellArea activate

#### Declaration [src]

    gboolean
    gtk_cell_area_activate (
      GtkCellArea* area,
      GtkCellAreaContext* context,
      GtkWidget* widget,
      const GdkRectangle* cell_area,
      GtkCellRendererState flags,
      gboolean edit_only
    )

#### Description [src]

Activates `area`, usually by activating the currently focused cell, however some subclasses which embed widgets in the area can also activate a widget if it currently has the focus.

#### Parameters

`context` | `GtkCellAreaContext`
| The `GtkCellArea`Context in context with the current row data.
| The data is owned by the caller of the function.
`widget` | `GtkWidget`
| The `GtkWidget` that `area` is rendering on.
| The data is owned by the caller of the function.
`cell_area` | `const GdkRectangle*`
| The size and location of `area` relative to `widget`’s allocation.
| The data is owned by the caller of the function.
`flags` | `GtkCellRendererState`
| The `GtkCellRenderer`State flags for `area` for this row of data.
`edit_only` | `gboolean`
| If `TRUE` then only cell renderers that are `GTK_CELL_RENDERER_MODE_EDITABLE` will be activated.

#### Return value

Returns: | `gboolean`
| Whether `area` was successfully activated.